Skip to main content
GET
/
v1
/
anchors
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.anchoring.lucidListAnchors({
    agentPassportId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "data": [
    {
      "anchor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "artifact_type": "epoch_bundle",
      "artifact_id": "<string>",
      "agent_passport_id": "<string>",
      "producer": "<string>",
      "provider": "<string>",
      "storage_tier": "permanent",
      "cid": "<string>",
      "content_hash": "<string>",
      "url": "<string>",
      "size_bytes": 123,
      "status": "uploaded",
      "parent_anchor_id": "<string>",
      "chain_tx": {},
      "metadata": {},
      "created_at": 123,
      "verified_at": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Query Parameters

agent_passport_id
string
required

Agent passport ID to filter anchor records

artifact_type
enum<string>

Filter by artifact type

Available options:
epoch_bundle,
epoch_proof,
memory_snapshot,
deploy_artifact,
passport_metadata,
nft_metadata,
mmr_checkpoint
limit
integer
default:50

Maximum number of records to return

Response

OK

success
boolean
data
object[]